package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 城市对象 sys_city
 * 
 * @author haotian
 * @date 2024-11-08
 */
public class SysCity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 城市id, */
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String city;

    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cityId", getCityId())
            .append("city", getCity())
            .toString();
    }
}
